summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2025-02-07 18:01:22 +0000
committerSam James <sam@gentoo.org>2025-02-07 18:04:11 +0000
commit672b4e16d50c895f63ed0dffd13b127735adaa89 (patch)
tree3d6e7607aa95172835ce4445f9dbb11483594950 /eclass
parentsys-libs/glibc: drop 2.40-r7 (diff)
downloadgentoo-672b4e16d50c895f63ed0dffd13b127735adaa89.tar.gz
gentoo-672b4e16d50c895f63ed0dffd13b127735adaa89.tar.bz2
gentoo-672b4e16d50c895f63ed0dffd13b127735adaa89.zip
toolchain.eclass: depend on doxygen for USE=doc
Needed for libstdc++ docs. This goes back to 3998c0e241690b9f5520a66c36382d6173c2bdad and 337957a79e26b67eda2ef3bd5af71f75217b32b5. I don't see why we want that behaviour these days. Closes: https://bugs.gentoo.org/949398 Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain.eclass27
1 files changed, 12 insertions, 15 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index f203e32a0450..153018607a02 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -373,6 +373,7 @@ BDEPEND="
app-alternatives/yacc
sys-devel/binutils:*
>=sys-devel/flex-2.5.4
+ doc? ( app-text/doxygen )
nls? ( sys-devel/gettext )
test? (
${PYTHON_DEPS}
@@ -2348,21 +2349,17 @@ gcc_do_make() {
emake "${emakeargs[@]}" ${GCC_MAKE_TARGET}
if ! is_crosscompile && _tc_use_if_iuse cxx && _tc_use_if_iuse doc ; then
- if type -p doxygen > /dev/null ; then
- cd "${CTARGET}"/libstdc++-v3/doc || die
- emake doc-man-doxygen
-
- # Clean bogus manpages. bug #113902
- find -name '*_build_*' -delete || die
-
- # Blow away generated directory references. Newer versions of gcc
- # have gotten better at this, but not perfect. This is easier than
- # backporting all of the various doxygen patches. bug #486754
- find -name '*_.3' -exec grep -l ' Directory Reference ' {} + | \
- xargs rm -f
- else
- ewarn "Skipping libstdc++ manpage generation since you don't have doxygen installed"
- fi
+ cd "${CTARGET}"/libstdc++-v3/doc || die
+ emake doc-man-doxygen
+
+ # Clean bogus manpages. bug #113902
+ find -name '*_build_*' -delete || die
+
+ # Blow away generated directory references. Newer versions of gcc
+ # have gotten better at this, but not perfect. This is easier than
+ # backporting all of the various doxygen patches. bug #486754
+ find -name '*_.3' -exec grep -l ' Directory Reference ' {} + | \
+ xargs rm -f
fi
popd >/dev/null || die